<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util">

	<!-- the page content -->
	<xsl:template match="/page/pageResponse">

		<div id="quickSearch">
			<gslib:crossCollectionQuickSearchForm/>
		</div>

		<h2><gslib:selectACollectionTextBar/></h2>

		<div id="collectionLinks">
			<xsl:if test="count(collectionList/collection) = 0">
				<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home.no_collections')"/>
				<br/>
			</xsl:if>
			<xsl:for-each select="collectionList/collection">
				<gslib:collectionLinkWithImage/>
			</xsl:for-each>
			<br class="clear"/>
		</div>

	        <div>
			<p>Pei Te Hurinui Jones, 1898-1976, was an outstanding figure in New Zealand - from his editorial work compiling and translating the songs of Maori tribes in Nga Moteatea, to founding one of the first New Zealand owned and operated million dollar companies, to being the President of the Maori Council and advisor to King Koriki and the Maori Queen, Dame Te Atairangikaahu. If you've read (or watched) any of Shakespeare's plays in Maori, then you've experienced some of the work of Pei Jones.</p>
		
			<p> In conjunction with staff from the School of Maori and Pacific Development, our library staff have worked tirelessly to gather scholarly material and artefacts relating to his academic life, made available as a special collection and housed in its own room on the top floor of the recently re-developed library building. Over the last 5 years, work has been undertaken to digitize these items and develop a digital library which you are now visiting.</p>

	        </div>

		<gslib:serviceClusterList/>

		<xsl:for-each select="serviceList/service[@type='query']">
			<gslib:serviceLink/><br/>
		</xsl:for-each>
		
		<xsl:for-each select="serviceList/service[@type='authen']">
			<gslib:authenticationLink/><br/><br/>
			<gslib:registerLink/><br/>
		</xsl:for-each>

	</xsl:template>

</xsl:stylesheet>


